Name: 		kdenlive
Version: 	16.04.2
Release: 	%mkrel 1
License: 	GPLv2+
Summary: 	A non-linear video editing application for KDE
Group:		Graphical desktop/KDE5 
Source: 	http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
URL:		http://www.kdenlive.org

BuildRequires:	qjson-devel
BuildRequires:	qimageblitz-devel
BuildRequires:	mlt-devel >= 0.8.8

BuildRequires:  %{_lib}v4l-devel 

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel

BuildRequires:  kf5-macros
BuildRequires:  karchive-devel 
BuildRequires:  kbookmarks-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kio-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  knewstuff-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  knotifications-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kdoctools-devel 
BuildRequires:  kplotting-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires:	mlt
Requires:       mlt-kdenlive
Requires:	ffmpeg
Requires:	dvgrab


%description
Kdenlive is a non-linear video editor for KDE. It relies on a separate
renderer, piave, to handle it's rendering. Kdenlive supports multitrack
editing.

%files -f %name.lang
%_kf5_bindir/*
%_kf5_datadir/kdenlive
%_iconsdir/hicolor/*/*/*
%_sysconfdir/xdg/*
%_datadir/appdata/kdenlive.appdata.xml
%_datadir/applications/org.kde.kdenlive.desktop
%_datadir/pixmaps/kdenlive.svg
%_kf5_datadir/config.kcfg/kdenlivesettings.kcfg
%_kf5_datadir/knotifications5/kdenlive.notifyrc
%_kf5_services/mltpreview.desktop
%_kf5_datadir/kxmlgui5/kdenlive
%_qt5_plugindir/mltpreview.so
%_mandir/man1/*
%_datadir/mime/packages/kdenlive.xml
%_datadir/mime/packages/westley.xml

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

rm -f %{buildroot}%{_datadir}/menu/kdenlive %{buildroot}%{_datadir}/pixmaps/kdenlive.xpm

%find_lang %name --with-html

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Tue Jun 14 2016 bb <bb> 16.04.2-1pclos2016
- update

